//
//  PHAlertView.h
//  KCWallet
//
//  Created by penguin on 2018/4/19.
//  Copyright © 2018年 penguin. All rights reserved.
//

#import <UIKit/UIKit.h>

typedef NS_ENUM(NSInteger,AlertPicType){
    AlertPicTypeSuccess,
    AlertPicTypeFail
};

typedef void(^AlertResult) (NSInteger index);

typedef void(^AlertInputResult) (NSString * inputStr);

@interface PHAlertView : UIView

@property (nonatomic, copy)AlertResult resultIndex;

@property (nonatomic, copy)AlertInputResult resuleInput;

+(instancetype)showTitle:(NSString *)title message:(NSString *)message surnBtnTitle:(NSString *)sureTitle result:(AlertResult)result;
//带有输入框的提示
+(instancetype)showTitle:(NSString *)title inputTitle:(NSString *)inputTitle surnBtnTitle:(NSString *)sureTitle cancelBtn:(NSString *)cancelTitle input:(AlertInputResult)input;
+(instancetype)showTitle:(NSString *)title picType:(AlertPicType)type;
@end
